Bug 190308 - Review Request: perl-PPI - Parse, Analyze and Manipulate Perl
Review Request: perl-PPI - Parse, Analyze and Manipulate Perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 190310
  Show dependency treegraph
 
Reported: 2006-04-30 19:26 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 21:53:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-30 19:26:40 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-PPI.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-PPI-1.112-1.src.rpm

Description:
Parse, Analyze and Manipulate Perl (without perl).
Comment 1 Jason Tibbitts 2006-05-01 14:50:37 EDT
Sorry this took so long; I was in the middle of the review when I had an
emergency at the office.

I don't think this is a blocker; it's proably a mock artifact, but I don't quite
understand the issue:

t/14_charsets....................ok
        11/11 skipped: Bizare Unicode-incompatible locale detected

The code that checks this is:

	# In some (weird) cases with custom locales, things aren't words
	# that should be
	unless ( "ä" =~ /\w/ ) {
		skip( "Bizare Unicode-incompatible locale detected", 11 );
	}

This check fails in mock on x86_64 and i386, FC5 and development.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl template.
* license field matches the actual license.
* license is open source-compatible; text is included in the package.
* source files match upstream:
   a629d953e0002813061c4308c64993f6  PPI-1.112.tar.gz
   a629d953e0002813061c4308c64993f6  PPI-1.112.tar.gz-srpm
* latest version is being packaged.
O Extra BuildRequires: satisfiable in the default build environment; not a blocker.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
O %check is present and all tests pass, but some tests were skipped:
   All tests successful, 11 subtests skipped.
   Files=31, Tests=5844, 17 wallclock secs (15.13 cusr +  0.80 csys = 15.93 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, but please do investigate the failing test.
Comment 2 Jose Pedro Oliveira 2006-05-05 21:53:37 EDT
(In reply to comment #1)
> Sorry this took so long; I was in the middle of the review when I had an
> emergency at the office.
> 
> I don't think this is a blocker; it's proably a mock artifact, but I don't quite
> understand the issue:
> 
> t/14_charsets....................ok
>         11/11 skipped: Bizare Unicode-incompatible locale detected
> 
> The code that checks this is:
> 
> 	# In some (weird) cases with custom locales, things aren't words
> 	# that should be
> 	unless ( "ä" =~ /\w/ ) {
> 		skip( "Bizare Unicode-incompatible locale detected", 11 );
> 	}
> 
> This check fails in mock on x86_64 and i386, FC5 and development.

I believe the Unicode support is still work in progress judging by the
documentation and changelog (the unicode tests are even inside a skip
block).

I closing this ticket but will try to keep track of new developments in the
sourceforge page.

Imported and built for FC-5 and devel.

Note You need to log in before you can comment on or make changes to this bug.